Package org.zkoss.stateless.sul

## Interface ITablelayout

- All Superinterfaces:
    `IAnyGroup<ITablelayout>`, `IChildable<ITablelayout,​ITablechildren>`, `IComponent<ITablelayout>`, `IHtmlBasedComponent<ITablelayout>`, `IXulElement<ITablelayout>`

      public interface ITablelayout
      extends IXulElement<ITablelayout>, IAnyGroup<ITablelayout>, IChildable<ITablelayout,​ITablechildren>

  Immutable `Tablelayout` component

  Tablelayout lay outs a container as an HTML table whose columns can be specified, and rowspan and colspan of its child can also be specified to create complex layouts within the table.

  Author:
    katherine
  See Also:
    `Tablelayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ITablelayout.Builder` | Builds instances of type `ITablelayout`.
    `static class` | `ITablelayout.Updater` | Builds an updater of type `ITablelayout` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ITablelayout` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getColumns()` | Returns number of rows to span this header.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static ITablelayout` | `of​(java.lang.Iterable<? extends ITablechildren<IAnyGroup>> children)` | Returns the instance with the given `ITablechildren` children.
    `static ITablelayout` | `of​(ITablechildren<IAnyGroup>... children)` | Returns the instance with the given `ITablechildren` children.
    `static ITablelayout` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `ITablelayout` | `withColumns​(int columns)` | Returns a copy of `this` immutable component with the specified `columns`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final ITablelayout DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkmax.layout.Tablelayout"`

      Specified by:
        `getWidgetClass` in interface `IComponent<ITablelayout>`

    - #### getColumns

          default int getColumns()

      Returns number of rows to span this header. Default: 1.

    - #### withColumns

          ITablelayout withColumns​(int columns)

      Returns a copy of `this` immutable component with the specified `columns`.

      Sets the number of rows to span this header.

      Parameters:
        `columns` - The number of rows to span this header.

        Default: `1`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static ITablelayout of​(java.lang.Iterable<? extends ITablechildren<IAnyGroup>> children)

      Returns the instance with the given `ITablechildren` children.
      Parameters:
        `children` - The children of `ITablechildren`

    - #### of

          static ITablelayout of​(ITablechildren<IAnyGroup>... children)

      Returns the instance with the given `ITablechildren` children.
      Parameters:
        `children` - The children of `ITablechildren`

    - #### ofId

          static ITablelayout ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component